
:root {
    --Blue-950: hsl(233, 26%, 24%);
    --Green-500: hsl(136, 64%, 51%);
    --Cyan-400: hsl(192, 69%, 51%);
    --Gray-600: hsl(233, 8%, 62%);
    --Gray-100: hsl(220, 16%, 96%);
    --Gray-50: hsl(0, 0%, 98%);
    --White: hsl(0, 100%, 100%);
}

body {
    font-family: 'Public Sans', sans-serif;
    margin: 0;
    padding: 0;
}

* {
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

.color-1 {
    border-color: transparent;
    outline: none;
    width: fit-content;
    padding: 10px 30px;
    border-radius: 20px;
    background: linear-gradient(to bottom, var(--Green-500), var(--Cyan-400));
    color: var(--White);
    cursor: pointer;
}


/* Start Header */

header {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 75px;
    background-color: var(--White);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative;
    z-index: 2;
}

header .image-logo {
    width: 100px;
}

header .nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .nav .image {
    width: 25px;
    height: 15px;
    background-image: url(./images/icon-hamburger.svg);
    background-size: cover;
    background-position: center;
    display: none;
}

header .nav .image:hover {
    background-image: url(./images/icon-close.svg);
}

header .nav .image:hover + ul {
    display: block;
}


header .nav ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    color: var(--Gray-600);
}

header .nav ul li {
    padding: 25px 0;
}

header .nav ul li:hover {
    color: var(--Blue-950);
    border-bottom: 5px solid var(--Green-500);
}


@media (max-width: 778px) {
    header {
        justify-content: space-between;
        padding: 0 20px;
    }
    header .nav ul{
        gap: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding: 0;
        width: 300px;
        background-color: var(--White);
        top: 120%;
        z-index: 5;
        border-radius: 10px;
        position: absolute;
        right: 10%;
        display: none;
    }
    header .nav ul li {
        padding: 10px;
        width: 100%;
        text-align: center;
    }
    header .request {
        display: none;
    }
    header .nav .image {
        display: block;
    }
}

/* End Header */

.container-page {
    position: relative;
    overflow: hidden;
}

header .nav .image:hover::before {
    content: "";
    position: absolute;
    width: -webkit-fill-available;
    height: 490vh;
    background-color: var(--Blue-950);
    opacity: 0.5;
    z-index: 3;
    top: 0;
    left: 0;
}

.container-page .intro {
    background-color: var(--Gray-50);
    margin-top: -20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.container-page .intro .info {
    margin-left: 13%;
}

.container-page .intro .info h1 {
    font-size: 45px;
    font-weight: normal;
    color: var(--Blue-950);
}

.container-page .intro .info p {
    width: 77%;
    line-height: 1.4;
    color: var(--Gray-600);
    margin-top: -15px;
    font-size: 17px;
}


.container-page .intro .images {
    width: 100%;
    height: 100%;
    position: relative;
}


.container-page .intro .images .image-desktop {
    height: 100%;
    z-index: 1;
    position: relative;
    max-width: 185%;
    margin-top: -35%;
}

.container-page .intro .images .image-mobile {
    display: none;
}

.container-page .intro .images .image-two {
    z-index: 1;
    position: absolute;
    width: 95%;
    top: -25px;
    right: -15%;
}


@media (max-width: 778px) {
    .container-page .intro {
        flex-direction: column;
    }
    .container-page .intro .images {
        order: -1;
        margin-bottom: 20px;
    }
    .container-page .intro .images .image-desktop {
        display: none;
    }
    .container-page .intro .images .image-mobile {
        display: block; 
        width: 100%;
    }
    .container-page .intro .images .image-two {
        right: 0;
        top: -25%;
        width: 100%;
    }
    .container-page .intro .info {
        width: 95%;
        height: 100%;
        margin-bottom: 5%;
        margin-top: -20%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        margin-left: 0;
        margin-bottom: 45px;
    }
}



/* Start Features */

.container-sections {
    width: 75%;
    margin: auto;
}

.container-section {
    width: 77%;
    margin: auto;
    display: flex;
    flex-direction: column;
}

.container-page .features-sections {
    background-color: var(--Gray-100);
    margin-top: -20px;
    width: 100%;
    height: 100%;
}

.container-page .features-section .info {
    width: 50%;
    margin-top: 7%;
    margin-bottom: 5%;
}

.container-page .features-section .info h1 {
    font-weight: normal;
    font-size: 35px;
    color: var(--Blue-950);
}

.container-page .features-section .info p {
    font-size: 17px;
    line-height: 1.4;
    color: var(--Gray-600);
}

.container-page .features-section .features {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
    gap: 30px;
    margin-bottom: 10%;
}

.container-page .features-section .features .feature {
    line-height: 1.8;
    font-size: 16px;
    color: var(--Gray-600);
    width: 85%;
}


.container-page .features-section .features .feature h2 {
    color: var(--Blue-950);
    font-weight: normal;
    font-size: 25px;
}

@media (max-width: 778px) {
    .container-page .features-section .info {
        width: 100%;
        text-align: center;
    }
    .container-section {
        text-align: center;
    }
    .container-page .features-section .features .feature {
        width: 100%;
    }
}

/* End Features */

/* Start Articles */

.articles-section {
    background-color: var(--Gray-50)
}

.articles-section .articles {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
    gap: 30px;
    margin-bottom: 10%;
}

.articles-section .info {
    margin-top: 5%;
    margin-bottom: 5%;
}

.articles-section .info h1 {
    font-size: 35px;
    font-weight: normal;
    color: var(--Blue-950);
}

.articles-section .articles .article img {
    width: 100%;
    height: 45%;
}

.articles-section .articles .article .info {
    margin: 0;
    background-color: var(--White);
    padding: 15px;
    height: 225px;
}

.articles-section .articles .article .info span {
    color: var(--Gray-600);
    font-size: 13px;
}

.articles-section .articles .article .info h2 {
    color: var(--Blue-950);
    font-size: 17px;
    width: 80%;
    margin-top: 15px;
}

.articles-section .articles .article .info p {
    color: var(--Gray-600);
    font-size: 16px;
}

/* End Articles */

/* Start Footter */

.footter {
    background-color: var(--Blue-950);
}

.footter .container-footter {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 77%;
    height: 180px;
    margin: auto;
}

.footter .container-footter .contact-we {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 50%;
}

.footter .container-footter .contact-we .contact {  
    display: flex;
    width: 25%;
    flex-direction: column;
    gap: 35px;
}


.footter .container-footter .contact-we .contact .imge {
    width: 100px;
}

.footter .container-footter .contact-we .contact .icon {
    display: flex;
    justify-content: space-between;
}


.footter .container-footter .contact-we .info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.footter .container-footter .contact-we .info .list {
    display: flex;
    flex-direction: column;
    gap: 15px;
    color: var(--Gray-50);
    font-size: 14px;
    font-weight: normal;
}
.footter .container-footter .copy {
    text-align: center;
}

.footter .container-footter .copy p {
    color: var(--Gray-600);
}


@media (max-width: 778px) {
    .footter .container-footter {
        flex-direction: column;
        height: 100%;
        justify-content: center;
        align-items: center;
    }
    .footter .container-footter .contact-we {
        flex-direction: column;
    }
    .footter .container-footter .contact-we .contact {
        margin-top: 35px;
        flex-direction: column;
        width: 100%;
    }
    .footter .container-footter .contact-we .contact .icon {
        justify-content: center; 
        gap: 10px;
    }
    .footter .container-footter .contact-we .info {
        flex-direction: column;
    }
    .footter .container-footter .contact-we .info .list {
        justify-content: center;
        align-items: center;
        margin-right: 50px;
        width: 150px;
    }
}

/* End Footter */


.attribution {
    display: none;
}